Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleSnFResponseConfig

Enclosing interface:
  Configuration

    public static interface Configuration.HandleSnFResponseConfig

Configuration used for SnF (can be used for InterAct and FileAct).

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getSwInt_NRIndicator()` Gets the NR indicator.
`java.lang.String` | `getSwSec_UserDN()` Gets the UserDN (distinguished name)used to identify and authenticate the sending user.
`void` | `setSwInt_NRIndicator(java.lang.String nrIndicator)` Sets the NR indicator.
`void` | `setSwSec_UserDN(java.lang.String userDN)` Sets the UserDN (distinguished name)used to identify and authenticate the sending user.
`void` | `validate()` Validates the ExchangeRequest section.

Method Detail

### getSwSec_UserDN

    java.lang.String getSwSec_UserDN()

  Gets the UserDN (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    None.

  Returns:
    `String` - Returns user DN.
  Throws:
    None.

### getSwInt_NRIndicator

    java.lang.String getSwInt_NRIndicator()

  Gets the NR indicator. Indicates whether non-repudiation support is being used.

  Parameters:
    None.

  Returns:
    `String` - Returns the NR indicator.
  Throws:
    None.

### setSwSec_UserDN

    void setSwSec_UserDN(java.lang.String userDN)
                         throws SAGApplicationException

  Sets the UserDN (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    `user` - DN.
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NRIndicator

    void setSwInt_NRIndicator(java.lang.String nrIndicator)
                              throws SAGApplicationException

  Sets the NR indicator. Indicates whether non-repudiation support is being used.

  Parameters:
    `nrIndicator` -
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the ExchangeRequest section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.